Alokai

SapccApiGetPaymentDetailsRequest

Request parameters for getPaymentDetails operation in SapccApi. SapccApiGetPaymentDetailsRequest

interface SapccApiGetPaymentDetailsRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly paymentDetailsId: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetPaymentDetails
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetPaymentDetails
paymentDetailsIdRequiredstringPayment details identifier. {string} SapccApiGetPaymentDetails
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetPaymentDetails

On this page